dots.v2.droplets.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.droplets.get(requestConfiguration?: RequestConfiguration<DropletsRequestBuilderGetQueryParameters>): Promise<undefined | DropletsGetResponse>Description
To list all Droplets in your account, send a GET request to /v2/droplets.
The response body will be a JSON object with a key of droplets. This will be
set to an array containing objects each representing a Droplet. These will
contain the standard Droplet attributes.
Filtering Results by Tag
It’s possible to request filtered results by including certain query parameters.
To only list Droplets assigned to a specific tag, include the tag_name query
parameter set to the name of the tag in your GET request. For example,
/v2/droplets?tag_name=$TAG_NAME.
GPU Droplets
By default, only non-GPU Droplets are returned. To list only GPU Droplets, set
the type query parameter to gpus. For example, /v2/droplets?type=gpus.
Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
tagNamestring optionalExample:
env:prodUsed to filter Droplets by a specific tag. Can not be combined with
nameortype.
Requirestag:readscope.namestring optionalExample:
web-01Used to filter list response by Droplet name returning only exact matches. It is case-insensitive and can not be combined with
tag_name.typestring optionalWhen
typeis set togpus, only GPU Droplets will be returned. By default, only non-GPU Droplets are returned. Can not be combined withtag_name.
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.droplets.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.droplets.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/droplets in the API reference for additional detail on responses, headers, parameters, and more.